import axios from '@/utils/axios'

export default {
  /**
   * 根据专利号获取专利
   */
  PatentByPatentNo(params) {
    return axios.get('/report/api/getPatentByPatentNo',{params})
    // return axios({
    //   url: '/report/api/getPatentByPatentNo',
    //   method: 'post',
    //   params: params
    // })
  },

  /** 
   * 创建报告
  */
 AddReport(params){
    return axios.post('/report/api/report/addReport',params)
 },
 /** 
   * 修改报告
  */
  UpdateReport(params){
    return axios.post('/report/api/report/updateReport',params)
 },
  /** 
   * 修改报告状态
  */
   UpdateStatus(params){
    return axios.get('/report/api/report/updateStatus',{params})
 },
 /** 
   * 删除报告
  */
  deleReport(params) {
    return axios.get('/report/api/report/deleReport', {params})
 },
 /** 
   * 分页查询报告
  */
  QueryReport(params){
    return axios.post('/report/api/report/queryReport', params)
 },
 /** 
   *新增审核任务
  */
  AddTask(params){
    return axios.post('/report/api/task/addTask', params)
 },
 /** 
   *任务审核
  */
   AuditTask(params){
    return axios.post('/report/api/task/auditTask', params)
 },
 /** 
   *分页查询任务
  */
   QueryPageList(params){
    return axios.post('/report/api/task/queryPageList', params)
 },
 /** 
   *完成任务
  */
  taskFinish(params){
    return axios.get('/report/api/task/finish', {params})
 },
 /** 
   *修改任务
  */
   UpdateTask(params){
    return axios.post('/report/api/task/updateTask', params)
 },
  /** 
   * 拆分权要
  */
  splitPatentRight(params){
    return axios.post('/report/api/feature/splitPatentRight',params)
  },
  /** 
   * 查询特征
  */
   getFeatures(params){
    return axios({
        url: '/report/api/feature/getFeatures',
        method: 'get',
        params: params
    })
  },
  /** 
   * 保存拆分权要的解释
  */
  KeepPatentRight(params) {
    return axios.post('/report/api/feature/addPatentRight',params)
    // return axios({
    //     url: '/report/api/feature/splitPatentRight',
    //     method: 'post',
    //     params: params,
    // })
  },

  //根据报告Id获取专利列表
  getPatentFromPAS(params){
    return axios.post('/report/api/getPatentFromPAS',params)
  },

    //根据报告Id获取专利分页列表
    getCompareFile(params){
      return axios.post('/report/api/compare/getCompareFile',params)
  },
    
    //根据报告Id获取FTO专利分页列表
    addFTOCompareFile(params){
      return axios.post('/report/api/compare/addFTOCompareFile',params)
    },

  //根据报告ID获取选中的专利号
  getComPatentNos(params){
    return axios.post('/report/api/getComPatentNos',params)
  },

  //添加对比文件
  addCompareFile(params){
    return axios.post('/report/api/compare/addCompareFile',params)
  },


  //删除对比文件
  deleteCompareNo(params){
    return axios.post('/report/api/compare/deleteCompareNo',params)
  },
  
  //获得相似特征
  simFeaturePatent(params){
    return axios.post('/report/api/feature/querySimFeaturePatent',params)
  },

  //获取已确定的专利文件
  getSureCompareFile(params){
    return axios.post('/report/api/compare/getSureCompareFile',params)
  },

  //添加分配任务
  addAssTask(params){
    return axios.post('/report/api/task/addAssTask',params)
  },
  
  //返回任务清单
  reTaskPatents(params){
    return axios.post('/report/api/task/reTaskPatents',params)
  },

  //报告详情中任务详情页面返回任务清单
  ReviewTheTasks(params){
    return axios.post('/report/api/task/reviewTheTasks',params)
  },

  // //返回任务头部专利清单，需要taskId
  // reTaskStatePatents(params){
  //   return axios.get('/report/api/task/reTaskStatePatents',{params})
  // },

  //新增自定义字段
  addPatentField(params){
    return axios.post('/report/api/patentField/add',params)
  },
  //编辑自定义字段
  editPatentField(params){
    return axios.post('/report/api/patentField/edit',params)
  },
  //删除自定义字段
  deletePatentField(params){
    return axios.get('/report/api/patentField/delete',{params})
  },
  //查询自定义字段
  listPatentField(params){
    return axios.post('/report/api/patentField/list',params)
  },
  //自定义字段 获取选项列表
  listPatentFieldOption(params){
    return axios.get('/report/api/patentField/option/list',{params})
  },
  //自定义字段 更新选项列表
  updatePatentField(params){
    return axios.post('/report/api/patentField/update',params)
  },
  //自定义字段 删除选项列表
  deleteOptionPatentField(params){
    return axios.get('/report/api/patentField/option/delete',{params})
  },
  //根据自定义字段id和名字进行模糊查询
  getPatentField(params){
    return axios.post('/report/api/patentField/source',params)
  },
  //根据自定义字段查询相关报告
  PatentQueryFieldSourceVO(params){
    return axios.post('/report/api/patentField/query/PatentQueryFieldSourceVO',params)
  },
  //左侧自定义字段查询相关专利统计数据
  sourceQueryPatentField(params){
      return axios.post('/report/api/patentField/query/source',params)
  },

  //返回自定义头部的任务专利状态数量（需要传taskId）
  taskReTaskStateCount(params){
      return axios.get('/report/api/task/reTaskStateCount',{params})
  },

   //返回自定义头部的任务专利状态数量(不传taskId)
   ReStateCount(params){
    return axios.get('/report/api/compare/reStateCount',{params})
  },
   
   //根据报告id获取专题库全部自定义字段get
   getfieldFromPAS(params){
    return axios.get('/report/api/getfieldFromPAS',{params})
  },
   //根据报告id获取专题库全部自定义字段值post
   postfieldFromPAS(params){
    return axios.post('/report/api/getSourceFromPAS',params)
  },
   //根据报告id获取专题库全部自定义字段树形结构get
   getPatentQueryTree(params){
    return axios.get('/report/api/getPatentQueryTree',{params})
  },
   //专题库筛选
   getPatentListPAS(params){
    return axios.post('/report/api/getPatentListPAS',params)
  },

   /** 
   * 任务详情 
  */
  //任务详情 无效记录添加
  addInvalidRecord(params){
    return axios.post('/report/api/InvalidRecord/addInvalidRecord',params)
  },
  //任务详情 无效记录编辑
  editInvalidRecord(params){
    return axios.post('/report/api/InvalidRecord/updateInvalidRecord',params)
  },
  //任务详情 无效记录查询
  queryInvalidRecord(params){
    return axios.post('/report/api/InvalidRecord/queryInvalidRecord',params)
  },
  //任务详情 无效记录删除
  deleInvalidRecord(params){
    return axios.get('/report/api/InvalidRecord/deleInvalidRecord',{params})
  },
  
  //任务详情 诉讼历史添加
  addLitigationHistory(params){
    return axios.post('/report/api/LitigationHistory/addLitigationHistory',params)
  },
  //任务详情 诉讼历史编辑
  editLitigationHistory(params){
    return axios.post('/report/api/LitigationHistory/updateLitigationHistory',params)
  },
  //任务详情 诉讼历史删除
  deleteLitigationHistory(params){
    return axios.get('/report/api/LitigationHistory/deleteLitigationHistory',{params})
  },
  //任务详情 诉讼历史查询
  queryLitigationHistory(params){
    return axios.post('/report/api/LitigationHistory/queryLitigationHistory',params)
  },

  //任务详情 审查历史增加
  addReviewHistory(params){
    return axios.post('/report/api/reviewHistory/addReviewHistory',params)
  },
  //任务详情 审查历史获取
  queryReviewHistory(params){
    return axios.post('/report/api/reviewHistory/queryReviewHistory',params)
  },
  //任务详情 审查历史修改
  updateReviewHistory(params){
    return axios.post('/report/api/reviewHistory/updateReviewHistory',params)
  },
  //任务详情 审查历史删除
  deleReviewHistory(params){
    return axios.get('/report/api/reviewHistory/deleReviewHistory',{params})
  },

  //任务详情 其他资料增加
  addReferences(params){
    return axios.post('/report/api/References/addReferences',params)
  },
  //任务详情 其他资料查询
  queryReferences(params){
    return axios.post('/report/api/References/queryReferences',params)
  },
  //任务详情 其他资料修改
  updateReferences(params){
    return axios.post('/report/api/References/updateReferences',params)
  },
  //任务详情 其他资料删除
  deleReferences(params){
    return axios.get('/report/api/References/deleReferences',{params})
  },

  //上一篇、下一篇
  getBetweenPatentList(params){
    return axios.post('/report/api/AssoTaskPersonel/getPartClient',params)
  },
  // getBetweenPatentList(params){
  //   return axios.get('/report/api/AssoTaskPersonel/getPartClient',{params})
  // },

  //增加对比记录
  addCompareRecords(params){
    return axios.post('/report/api/CompareRecords/addCompareRecords',params)
  },

  //删出对比记录
  deleCompareRecords(params){
    return axios.get('/report/api/CompareRecords/deleCompareRecords',{params})
  },

  //修改对比记录
  updateCompareRecords(params){
    return axios.post('/report/api/CompareRecords/updateCompareRecords',params)
  },

  //查询对比记录
  selectCompareRecord(params){
    return axios.post('/report/api/CompareRecords/selectCompareRecord',params)
  },

  //增加对比方案
  addCompareScenarios(params){
    return axios.post('/report/api/CompareScenariosController/addCompareScenarios',params)
  },

  //删除对比方案
  deleteCompareScenarios(params){
    return axios.post('/report/api/CompareScenariosController/delete',params)
  },


  //查询对比方案
  selectCompareScenarios(params){
    return axios.get('/report/api/CompareScenariosController/select',{params})
  },

  //初筛保存更新
  settingCompareFiles(params){
    return axios.post('/report/api/CompareFiles/index/setting',params)
  },

  //初筛获取
  settingAllCompareFiles(params){
    return axios.get('/report/api/CompareFiles/index/setting/all',{params})
  },

  //文件上传
  upload(params){
    return axios.post('/report/api/reportFile/add',params)
  },

  //查询报告模板
  getTemplateByType(params){
    return axios.post('/report/api/template/getTemplateByType',params)
  },

  //导出报告
  exportReport(params){
    return axios.get('/report/api/reportDocument/exportReport',{params})
  },

  //获得导出记录
  getExportList(params){
    return axios.post('/report/api/reportDocument/getExportList',params)
  },

  //删除导出记录
  deleteExport(params){
    return axios.get('/report/api/reportDocument/deleteExport',{params})
  },

  //导入
  import(params){
    return axios.post('/report/api/task/import',params)
  },

  //查询导出任务
  reImportTask(params){
    return axios.post('/report/api/task/reImportTask',params)
  },

  //删除导出任务
  deleteImportTask(params){
    return axios.get('/report/api/task/import/delete',{params})
  },

  //查询报告文档
  CheckReportFileList(params){
    return axios.post('/report/api/report/selectfile',params)
  },

  //增加报告文档
  AddReportFileList(params){
    return axios.post('/report/api/report/addFile',params)
  },

  //修改报告文档
  EditReportFileList(params){
    return axios.post('/report/api/report/updatefiles',params)
  },

  //删除报告文档
  DeleteReportFileList(params){
    return axios.get('/report/api/report/deletefile',{params})
  },

  //查看文件
  seeFile(params){
    return axios.get('/report/api/download/downloadFile',{params})
  },

  //任务进度
  taskProgress(params){
    return axios.get('/report/api/task/progress',{params})
  },


  //新增产品信息
  addProduct(params){
    return axios.post('/report/api/product/addProduct',params)
  },

  //获取产品信息
  getProduct(params){
    return axios.get('/report/api/product/getProduct',{params})
  },
  
  //更新产品信息
  updateProduct(params){
    return axios.post('/report/api/product/updateProduct',params)
  },

  //根据任务ID和专利号获取拆分信息
  getSplitMessage(params){
    return axios.get('/report/api/feature/getSplitMessage',{params})
  },

  //添加FTO对比记录
  addCompareMessage(params){
    return axios.post('/report/api/compareMessage/addCompareMessage',params)
  },

  //查询FTO对比记录
  queryCompareMessage(params){
    return axios.get('/report/api/compareMessage/queryCompareMessage',{params})
  },

  //查找FTO已对比的专利文件
  getComparedMessage(params){
    return axios.post('/report/api/compareMessage/queryComparedMessage',params)
  },

  //FTO工作协同已对比的专利文件
  addSyneryTask(params){
    return axios.post('/report/api/task/addSyneryTask',params)
  },

  //FTO工作协同外部人员根据code获取任务信息
  getTaskByCode(params){
    return axios.get('/report/api/outSiders/getTaskByCode',{params})
  },

  //FTO查找协同对比记录
  querySynery(params){
    return axios.get('/report/api/compareMessage/querySynery',{params})
  },

  //FTO协同对比记录
  addSynery(params){
    return axios.post('/report/api/compareMessage/addSynery',params)
  },

  //FTO查找对比结果(带协同结果)
  queryAllCompareMessage(params){
    return axios.get('/report/api/compareMessage/queryAllCompareMessage',{params})
  },

  //FTO查找对比结果(带协同结果)
  updateCompareMessage(params){
    return axios.post('/report/api/compareMessage/updateCompareMessage',params)
  },
}